﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Paypayes.Aelda.Core
{
    public abstract class Performer : SimulationObject
    {
        public Performer(UInt64 id)
            : base(id)
        {
        }

        public String Name { get; set; }

        public ActionState CurrentActionState;

        public int schedulePriority;

        public abstract void PerformAction(ActionState action);
    }
}
