﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Lidgren.Network;

namespace Paypayes.Aelda.Core.SimulationEvents
{
    public class UserAttached : SimulationEvent
    {
        [Pack]
        public Boolean Success { get; set; }

        [Pack]
        public UInt64 AreaId { get; set; }

        [Pack]
        public UInt32 X { get; set; }

        [Pack]
        public UInt32 Y { get; set; }
        
        public UserAttached()
        {
            this.EventType = EventType.UserAttached;
            this.Channel = EventChannel.Internal;
        }
    }
}
